Bug 1043327 - (CVE-2013-4576) CVE-2013-4576 gnupg: RSA secret key recovery via acoustic cryptanalysis
CVE-2013-4576 gnupg: RSA secret key recovery via acoustic cryptanalysis
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20131218,repor...
: Security
Depends On: 1044901 1044903 1044904
Blocks: 1043328
  Show dependency treegraph
 
Reported: 2013-12-15 19:31 EST by Murray McAllister
Modified: 2015-01-04 17:38 EST (History)
4 users (show)

See Also:
Fixed In Version: gnupg 1.4.16
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-13 11:41:00 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Murray McAllister 2013-12-15 19:31:32 EST
It was found that GnuPG was vulnerable to side-channel attacks via acoustic cryptanalysis. An attacker in close range to a target system that is decrypting ciphertexts could possibly use this flaw to recover the RSA secret key from that system.

This issue affects GnuPG version 1.4. It does not affect the gnupg2 packages in Red Hat Enterprise Linux 5 and 6, and Fedora.
Comment 9 Murray McAllister 2013-12-18 00:52:35 EST
Acknowledgements:

Red Hat would like to thank Werner Koch of GnuPG upstream for reporting this issue. Upstream acknowledges Genkin, Shamir, and Tromer as the original reporters.
Comment 12 Vincent Danen 2013-12-18 15:10:23 EST
This is fixed in upstream 1.4.16.
Comment 14 Huzaifa S. Sidhpurwala 2013-12-19 03:37:09 EST
Created gnupg tracking bugs for this issue:

Affects: fedora-all [bug 1044904]
Comment 15 Fedora Update System 2013-12-30 00:00:45 EST
gnupg-1.4.16-2.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 16 errata-xmlrpc 2014-01-08 13:18:33 EST
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2014:0016 https://rhn.redhat.com/errata/RHSA-2014-0016.html

Note You need to log in before you can comment on or make changes to this bug.